Skip to main content
GET
CPU and memory use of CI jobs

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Headers

X-CostGraph-Tenant-ID
string
required

Tenant ID

Query Parameters

from
string

First day, YYYY-MM-DD

to
string

Day after the last day, YYYY-MM-DD

repository
string

owner/name

workflow_path
string

Workflow file; needs repository

sort
enum<string>

Job column to sort by

Available options:
memory_used_ratio_max,
memory_peak_gb_max,
cpu_used_ratio_avg,
cpu_p95_max,
measured_runs,
oom_runs,
last_run_at,
run_seconds_avg,
run_seconds_max
order
enum<string>

asc (default) or desc

Available options:
asc,
desc
limit
integer

Number of jobs to return (default 50, max 200)

offset
integer

Jobs to skip before returning results (default 0)

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object